Description
The definition of the german texts in de.yml contains a group of line at the end with english texts:

(...)

field _member_of_group: Member of Group

field _assigned_to_role: Member of Role

text_are_you_sure_with_children: Delete issue and all child issues?

field _text: Text field

setting_default_notification_option: Default notification option
notice_not_authorized_archived_project: The project you're trying to access has been archived.
label_user_mail_option_none: "Only for things I watch or I'm involved in"

field member_of_group: Assignee's group

field_assigned_to_role: Assignee's role

field_start_date: Start date
button_edit_associated_wikipage: "Edit associated Wiki page: {{page_title}}"

At least the line

label_user_mail_option_none: "Only for things | watch or I'm involved in"

overrides the correct definition

label_user_mail_option_none: "Nur fir Dinge, die ich beobachte oder an denen ich beteiligt bin"

contained somewhere above in the file. I'm not sure what else in that block needs to be fixed, but at least that line needs to be. I've
tried to comment that line out, which works pretty well as "fix on the fly".

History

#1 - 2010-11-21 15:53 - Azamat Hackimov

These strings should be translated in this file. Translate them if you can and upload translated file here.

#2 - 2010-11-22 11:08 - Frank Helk

- File de.yml added

OK - here's my try.

I've translated the texts for the lines in question (the last 12 lines), but left the line mentioned above out, because it is correct defined in a prior line.
Additionally I've edited the line

field_parent_issue: Ubergeordnete Aufgabe

to

field_parent_issue: Ubergeordnetes Ticket
due to consistency reasons - issues are called "Ticket" thru the entire document with the only exception of that line.
Needs to be reviewed / tested, because | have no test system available and | don't really feel the urge to disturb my production system ...
Hope it helps ...

#3 - 2010-11-25 21:30 - Azamat Hackimov

Frank, your file is outdated (probably from 1.0.3 tarball itself?). You need to translate file from trunk (source:/trunk/config/locales/de.yml). See also
HowTo translate Redmine in your own language

#4 - 2010-11-26 11:21 - Frank Helk
- File de.yml added

Ooops ... sorry for that.

I've just retried, here's the result. My comment about my test possibilities still applies.

#5 - 2010-12-30 16:39 - Jean-Philippe Lang

- Status changed from New to Closed

German locale updated in r4592 with latest strings.

Files
de.yml 40.8 KB 2010-11-22 Frank Helk
de.yml 40.9 KB 2010-11-26 Frank Helk
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/locales/de.yml
https://www.redmine.org/projects/redmine/wiki/HowTo_translate_Redmine_in_your_own_language
https://www.redmine.org/projects/redmine/repository/svn/revisions/4592
http://www.tcpdf.org

